Gregory Brown wrote:
> On Wed, Feb 11, 2009 at 6:28 PM, Aaron Patterson

> In all honesty, I'd be fine with the core team announcing an end of
> life of Ruby 1.8 as a whole.  That'd free up resources and end
> confusion.   Has this possibility been considered?

That's an interesting option, given that Engine Yard has volunteered to
take over the "stock" Ruby 1.8.6, the One-Click installer is "stuck at
1.8.6" for some compatibility reasons, jRuby is tuned to 1.8.6, and Ruby
Enterprise Edition is a fork of 1.8.6. From the point of view of your
two big projects, Ruport and Prawn, could you just say "bug fixes only
for 1.8, and only 1.8.6 is supported, all new functionality requires
1.9.1 or later?" Then it would "just" be a matter of getting Rails,
RSpec and all the Linux distros functioning on 1.9.1 :)
> 
> -greg
> 


-- 
M. Edward (Ed) Borasky

I've never met a happy clam. In fact, most of them were pretty steamed.